服务支持

loophole

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202109-1022

摘要:qemu-kvm漏洞 安全等级:中等 公告ID:KYSA-202109-1022 发布日期:2021-09-17 影响CVE:CVE-2020-29443

详细介绍

1. 修复的CVE信息

  • CVE-2020-29443

    描述:在 QEMU 的 ATAPI 模拟器中发现了越界读取访问漏洞。如果逻辑块地址 (LBA) 设置为无效值,则在处理 ATAPI 读取命令时会出现此问题。攻击用户可能会使用此漏洞使主机上的 QEMU 进程崩溃,从而导致拒绝服务。


2. 影响的操作系统及修复版本

  • 银河麒麟高级服务器操作系统 V10

qemu-img-1.5.3-175.el7_9.4

qemu-kvm-1.5.3-175.el7_9.4

qemu-kvm-common-1.5.3-175.el7_9.4

qemu-kvm-tools-1.5.3-175.el7_9.4

  • 中标麒麟高级服务器操作系统 V7

qemu-img-1.5.3-175.el7_9.4

qemu-kvm-1.5.3-175.el7_9.4

qemu-kvm-common-1.5.3-175.el7_9.4

qemu-kvm-tools-1.5.3-175.el7_9.4


3. 受影响的软件包

  • 银河麒麟高级服务器操作系统 V10

x86_64:qemu-img、qemu-kvm、qemu-kvm-common、qemu-kvm-tools

  • 中标麒麟高级服务器操作系统 V7

x86_64:qemu-img、qemu-kvm、qemu-kvm-common、qemu-kvm-tools


4. 修复方法

方法一:配置源进行升级安装

1.打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:

银河麒麟高级服务器操作系统 V10

x86_64:http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/x86_64/

中标麒麟高级服务器操作系统 V7

x86_64:http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/x86_64/

2.配置完成后执行更新命令进行升级,命令如下:yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:yum install Packagename


5. 软件包下载地址

  • 银河麒麟高级服务器操作系统 V10

 qemu-kvm x86_64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/x86_64/Packages/qemu-img-1.5.3-175.el7_9.4.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/x86_64/Packages/qemu-kvm-1.5.3-175.el7_9.4.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/x86_64/Packages/qemu-kvm-common-1.5.3-175.el7_9.4.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10-ZJ/os/adv/lic/updates/x86_64/Packages/qemu-kvm-tools-1.5.3-175.el7_9.4.x86_64.rpm 

  • 中标麒麟高级服务器操作系统 V7

 qemu-kvm x86_64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/x86_64/Packages/qemu-img-1.5.3-175.el7_9.4.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/x86_64/Packages/qemu-kvm-1.5.3-175.el7_9.4.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/x86_64/Packages/qemu-kvm-common-1.5.3-175.el7_9.4.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V7/V7Update9/os/adv/lic/updates/x86_64/Packages/qemu-kvm-tools-1.5.3-175.el7_9.4.x86_64.rpm

注:其他相关依赖包请到相同目录下载

 





上一篇: KYSA-202109-1021 下一篇: KYSA-202109-1023

试用

服务

动态

联系